# Generated from redis-rails-5.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis-rails

Name: rubygem-%{gem_name}
Version: 5.0.2
Release: 1%{?dist}
Summary: Redis for Ruby on Rails
License: MIT
URL: http://redis-store.org/redis-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 0.14.0
# BuildRequires: rubygem(mocha) < 0.15
# BuildRequires: rubygem(minitest) >= 4.2
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(redis-store-testing)
BuildArch: noarch

%description
Redis for Ruby on Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/redis-rails.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 5.0.2-1
- Initial package
